#include <WinTen.h>
#include <Windows.h>
#include <ClipApi.h>

CLIPPER BMPPRINT()
{
   HBITMAP hBmp       = _parni( 1 );
   HDC     hDCSource  = CreateCompatibleDC( 0 );
   HDC     hDCPrinter = _parni( 2 );
   int     nX         = _parni( 3 );
   int     nY         = _parni( 4 );
   int     nWidth     = _parni( 5 );
   int     nHeight    = _parni( 6 );
   HBITMAP hPrnBitmap;

   SelectObject( hDCSource, hBmp );
   hPrnBitmap = CreateCompatibleBitmap( hDCPrinter, nWidth, nHeight );

   SelectObject( hDCPrinter, hPrnBitmap );
   BitBlt( hDCPrinter, 0, 0, nWidth, nHeight, hDCSource, 0, 0, SRCCOPY );


